diff --git a/test_plans/NICStatistics_test_plan.rst b/test_plans/NICStatistics_test_plan.rst
deleted file mode 100644
index 3ed6a917..00000000
--- a/test_plans/NICStatistics_test_plan.rst
+++ /dev/null
@@ -1,118 +0,0 @@
-.. SPDX-License-Identifier: BSD-3-Clause
-   Copyright(c) 2010-2017 Intel Corporation
-
-====================
-NIC Statistics Tests
-====================
-
-This document provides benchmark tests for the userland Intel®
-82599 Gigabit Ethernet Controller Poll Mode Driver (PMD).
-The userland PMD application runs the ``IO forwarding mode`` test
-described in the PMD test plan document with different parameters for
-the configuration of 82599 NIC ports.
-
-The core configuration description is:
-
-- 1C/1T: 1 Physical Core, 1 Logical Core per physical core (1 Hyperthread)
-  using core #2 (socket 0, 2nd physical core)
-
-- 1C/2T: 1 Physical Core, 2 Logical Cores per physical core (2 Hyperthreads)
-  using core #2 and #14 (socket 0, 2nd physical core, 2 Hyperthreads)
-
-- 2C/1T: 2 Physical Cores, 1 Logical Core per physical core
-  using core #2 and #4 (socket 0, 2nd and 3rd physical cores)
-
-
-Prerequisites
-=============
-
-Each of the 10Gb Ethernet* ports of the DUT is directly connected in
-full-duplex to a different port of the peer traffic generator.
-
-Using interactive commands, the traffic generator can be configured to
-send and receive in parallel, on a given set of ports.
-
-The tool ``vtbwrun`` (included in Intel® VTune™ Performance Analyzer)
-will be used to monitor memory activities while running network
-benchmarks to check the number of ``Memory Partial Writes`` and the
-distribution of memory accesses among available Memory Channels.  This
-will only be done on the userland application, as the tool requires a
-Linux environment to be running in order to be used.
-
-If using vfio the kernel must be >= 3.6+ and VT-d must be enabled in bios.When
-using vfio, use the following commands to load the vfio driver and bind it
-to the device under test::
-
-   modprobe vfio
-   modprobe vfio-pci
-   usertools/dpdk-devbind.py --bind=vfio-pci device_bus_id
-
-Test Case: Performance Benchmarking
-===================================
-
-The linuxapp is started with the following parameters, for each of
-the configurations referenced above:
-
-1C/1T::
-
-  -c 0xffffff -n 3 -- -i --coremask=0x4 \
-  --rxd=512 --txd=512 --burst=32 --txfreet=32 --rxfreet=64 --mbcache=128 --portmask=0xffff \
-  --rxpt=4 --rxht=4 --rxwt=16 --txpt=36 --txht=0 --txwt=0 --txrst=32
-
-1C/2T::
-
-  -c 0xffffff -n 3 -- -i --coremask=0x4004 \
-  --rxd=512 --txd=512 --burst=32 --txfreet=32 --rxfreet=64 --mbcache=128 --portmask=0xffff \
-  --rxpt=4 --rxht=4 --rxwt=16 --txpt=36 --txht=0 --txwt=0 --txrst=32
-
-2C/1T::
-
-  -c 0xffffff -n 3 -- -i --coremask=0x14 \
-  --rxd=512 --txd=512 --burst=32 --txfreet=32 --rxfreet=64 --mbcache=128 --portmask=0xffff \
-  --rxpt=4 --rxht=4 --rxwt=16 --txpt=36 --txht=0 --txwt=0 --txrst=32
-
-
-The throughput is measured for each of these cases for the packet size
-of 64, 65, 128, 256, 512, 1024, 1280 and 1518 bytes.
-The results are printed in the following table:
-
-+-------+---------+---------+---------+-----------+
-| Frame |  1C/1T  |  1C/2T  |  2C/1   | wirespeed |
-| Size  |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  64   |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  65   |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  128  |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  256  |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  512  |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  1024 |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  1280 |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-|  1518 |         |         |         |           |
-+-------+---------+---------+---------+-----------+
-
-
-The memory partial writes are measured with the ``vtbwrun`` application and printed
-in the following table:::
-
-
-  Sampling Duration: 000000.00 micro-seconds
-  ---       Logical Processor 0       ---||---       Logical Processor 1       ---
-  ---------------------------------------||---------------------------------------
-  ---   Intersocket QPI Utilization   ---||---   Intersocket QPI Utilization   ---
-  ---------------------------------------||---------------------------------------
-  ---      Reads (MB/s):         0.00 ---||---      Reads (MB/s):         0.00 ---
-  ---      Writes(MB/s):         0.00 ---||---      Writes(MB/s):         0.00 ---
-  ---------------------------------------||---------------------------------------
-  ---  Memory Performance Monitoring  ---||---  Memory Performance Monitoring  ---
-  ---------------------------------------||---------------------------------------
-  --- Mem Ch 0: #Ptl Wr:      0000.00 ---||--- Mem Ch 0: #Ptl Wr:         0.00 ---
-  --- Mem Ch 1: #Ptl Wr:      0000.00 ---||--- Mem Ch 1: Ptl Wr (MB/s):   0.00 ---
-  --- Mem Ch 2: #Ptl Wr:      0000.00 ---||--- Mem Ch 2: #Ptl Wr:         0.00 ---
-  --- ND0 Mem #Ptl Wr:        0000.00 ---||--- ND1 #Ptl Wr:               0.00 ---
diff --git a/test_plans/index.rst b/test_plans/index.rst
index 10ca5fdc..a78dd0f5 100644
--- a/test_plans/index.rst
+++ b/test_plans/index.rst
@@ -104,7 +104,6 @@ The following are the test plans for the DPDK DTS automated test system.
     metering_and_policing_test_plan
     mtu_update_test_plan
     multiple_pthread_test_plan
-    NICStatistics_test_plan
     ntb_test_plan
     nvgre_test_plan
     perf_virtio_user_loopback_test_plan
@@ -144,7 +143,6 @@ The following are the test plans for the DPDK DTS automated test system.
     vhost_user_interrupt_test_plan
     vhost_user_interrupt_cbdma_test_plan
     sriov_kvm_test_plan
-    stability_test_plan
     stats_checks_test_plan
     eventdev_pipeline_test_plan
     tso_test_plan
diff --git a/test_plans/stability_test_plan.rst b/test_plans/stability_test_plan.rst
deleted file mode 100644
index 6e3ab01a..00000000
--- a/test_plans/stability_test_plan.rst
+++ /dev/null
@@ -1,68 +0,0 @@
-.. SPDX-License-Identifier: BSD-3-Clause
-   Copyright(c) 2011-2017 Intel Corporation
-
-===============
-Stability Tests
-===============
-
-This is the test report for the Intel® DPDK Linux user space stability tests
-described in the test plan document.
-
-Test Case: Stress test
-======================
-
-Run under heavy traffic for a long time. At the end of the test period, check
-that the traffic is still flowing and there is no drop in the throughput rate.
-
-Recommended test configuration: testpmd application using a single logical core
-to handle line rate traffic from two 10GbE ports. Recommended test duration:
-24 hours.
-
-Test Case: Repetitive system restart
-====================================
-
-Check that the system is still working after the application is shut down and
-restarted repeatedly under heavy traffic load. After the last test iteration,
-the traffic should still be flowing through the system with no drop in the
-throughput rate.
-
-Recommended test configuration: testpmd application using a single logical core
-to handle line rate traffic from two 10GbE ports.
-
-Test Case: Packet integrity test
-================================
-
-Capture output packets selectively and check that the packet headers are as
-expected, with the payload not corrupted or truncated.
-
-Recommended test configuration: testpmd application using a single logical core
-to handle line rate traffic from two 10GbE ports.
-
-Test Case: Cable removal test
-=============================
-
-Check that the traffic stops when the cable is removed and resumes with no drop
-in the throughput rate after the cable is reinserted.
-
-Test Case: Mix of different NIC types
-=====================================
-
-Check that a mix of different NIC types is supported. The system should
-recognize all the NICs that are part of the system and are supported by the
-DPDK PMD. Check that ports from NICs of different type can send and
-receive traffic at the same time.
-
-Recommended test configuration: testpmd application using a single logical core
-to handle line rate traffic from two 1GbE ports (e.g. Intel 82576 NIC) and
-two 10GbE ports (e.g. Intel 82599 NIC).
-
-Test Case: Coexistence of kernel space drivers with Poll Mode Drivers
-=====================================================================
-
-Verify that DPDK PMD running in user space can work with the kernel
-space space NIC drivers.
-
-Recommended test configuration: testpmd application using a single logical core
-to handle line rate traffic from two 1GbE ports (e.g. Intel 82576 NIC) and
-two 10GbE ports (e.g. Intel 82599 NIC). Kernel space driver for Intel 82576 NIC
-used for management.