diff --git a/test_plans/index.rst b/test_plans/index.rst
index fd21ec51..1f292a6c 100644
--- a/test_plans/index.rst
+++ b/test_plans/index.rst
@@ -249,7 +249,6 @@ The following are the test plans for the DPDK DTS automated test system.
     unit_tests_dump_test_plan
     unit_tests_eal_test_plan
     unit_tests_event_timer_test_plan
-    unit_tests_kni_test_plan
     unit_tests_loopback_test_plan
     unit_tests_lpm_test_plan
     unit_tests_mbuf_test_plan
diff --git a/test_plans/unit_tests_kni_test_plan.rst b/test_plans/unit_tests_kni_test_plan.rst
deleted file mode 100644
index 163fff20..00000000
--- a/test_plans/unit_tests_kni_test_plan.rst
+++ /dev/null
@@ -1,42 +0,0 @@
-.. SPDX-License-Identifier: BSD-3-Clause
-   Copyright(c) 2010-2017 Intel Corporation
-
-===============
-Unit Tests: KNI
-===============
-
-This is the test plan for the Intel® DPDK KNI library.
-
-This section explains how to run the unit tests for KNI. The test can be
-launched independently using the command line interface.
-This test is implemented as a linuxapp environment application.
-
-The complete test suite is launched automatically using a python-expect
-script (launched using ``make test``) that sends commands to
-the application and checks the results. A test report is displayed on
-stdout.
-
-Case config::
-
-   For enable KNI features, need to add "-Denable_kmods=True" when build DPDK by meson.
-   CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
-   ninja -C x86_64-native-linuxapp-gcc -j 50
-
-   rte_kni.ko is located at ./x86_64-native-linuxapp-gcc/kernel/linux/kni/
-
-The steps to run the unit test manually are as follow::
-
-  # mkdir -p x86_64-native-linuxapp-gcc/kmod
-  # cp ./x86_64-native-linuxapp-gcc/kernel/linux/kni/rte_kni.ko x86_64-native-linuxapp-gcc/kmod/
-  # cp ./x86_64-native-linuxapp-gcc/kernel/linux/igb_uio/igb_uio.ko x86_64-native-linuxapp-gcc/kmod/
-  # lsmod | grep rte_kni
-  # insmod ./<TARGET>/kmod/igb_uio.ko
-  # insmod ./<TARGET>/kmod/rte_kni.ko lo_mode=lo_mode_fifo
-  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test  -n 1 -c ffff
-  RTE>> kni_autotest
-  RTE>> quit
-  # rmmod rte_kni
-  # rmmod igb_uio
-
-
-The final output of the test has to be "Test OK"
diff --git a/tests/TestSuite_unit_tests_kni.py b/tests/TestSuite_unit_tests_kni.py
deleted file mode 100644
index 0bb2bcac..00000000
--- a/tests/TestSuite_unit_tests_kni.py
+++ /dev/null
@@ -1,86 +0,0 @@
-# SPDX-License-Identifier: BSD-3-Clause
-# Copyright(c) 2010-2014 Intel Corporation
-#
-
-"""
-DPDK Test suite.
-
-This TestSuite runs the unit tests included in DPDK for KNI feature.
-"""
-
-import framework.utils as utils
-from framework.test_case import TestCase
-
-#
-#
-# Test class.
-#
-
-
-class TestUnitTestsKni(TestCase):
-
-    #
-    #
-    # Utility methods and other non-test code.
-    #
-
-    def insmod_kni(self):
-
-        out = self.dut.send_expect("lsmod | grep rte_kni", "# ")
-
-        if "rte_kni" in out:
-            self.dut.send_expect("rmmod rte_kni.ko", "# ")
-
-        out = self.dut.send_expect(
-            "insmod ./%s/kmod/rte_kni.ko lo_mode=lo_mode_fifo" % (self.target), "# "
-        )
-
-        self.verify("Error" not in out, "Error loading KNI module: " + out)
-
-        self.logger.warning(
-            f"Test Suite {self.suite_name} is deprecated and will be removed in the next release"
-        )
-
-    #
-    #
-    #
-    # Test cases.
-    #
-    def set_up_all(self):
-        """
-        Run at the start of each test suite.
-
-        KNI Prerequisites
-        """
-        self.cores = self.dut.get_core_list("all")
-        self.insmod_kni()
-
-    def set_up(self):
-        """
-        Run before each test case.
-        """
-        pass
-
-    def test_kni(self):
-        """
-        Run kni autotest.
-        """
-        eal_params = self.dut.create_eal_parameters(cores=self.cores)
-        app_name = self.dut.apps_name["test"]
-        self.dut.send_expect(app_name + eal_params, "R.*T.*E.*>.*>", 60)
-        out = self.dut.send_expect("kni_autotest", "RTE>>", 60)
-        self.dut.send_expect("quit", "# ")
-
-        self.verify("Test OK" in out, "Test Failed")
-
-    def tear_down(self):
-        """
-        Run after each test case.
-        """
-        pass
-
-    def tear_down_all(self):
-        """
-        Run after each test suite.
-        """
-        self.dut.send_expect("rmmod rte_kni", "# ", 5)